AddC
Arithmetic Operations

Adds a constant value to each sample of a signal. More...

## Functions

NppStatus | nppsAddC_8u_ISfs_Ctx (Npp8u nValue, Npp8u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned char in place signal add constant, scale, then clamp to saturated value More...
NppStatus | nppsAddC_8u_ISfs (Npp8u nValue, Npp8u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_8u_Sfs_Ctx (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 8-bit unsigned charvector add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_8u_Sfs (const Npp8u *pSrc, Npp8u nValue, Npp8u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16u_ISfs_Ctx (Npp16u nValue, Npp16u *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short in place signal add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16u_ISfs (Npp16u nValue, Npp16u *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16u_Sfs_Ctx (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit unsigned short vector add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16u_Sfs (const Npp16u *pSrc, Npp16u nValue, Npp16u *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16s_ISfs_Ctx (Npp16s nValue, Npp16s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short in place signal add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16s_ISfs (Npp16s nValue, Npp16s *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16s_Sfs_Ctx (const Npp16s *pSrc, Npp16s nValue, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit signed short signal add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16s_Sfs (const Npp16s *pSrc, Npp16s nValue, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16sc_ISfs_Ctx (Npp16sc nValue, Npp16sc *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit integer complex number (16 bit real, 16 bit imaginary)signal add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16sc_ISfs (Npp16sc nValue, Npp16sc *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_16sc_Sfs_Ctx (const Npp16sc *pSrc, Npp16sc nValue, Npp16sc *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 16-bit integer complex number (16 bit real, 16 bit imaginary) signal add constant, scale, then clamp to saturated value. More...
NppStatus | nppsAddC_16sc_Sfs (const Npp16sc *pSrc, Npp16sc nValue, Npp16sc *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_32s_ISfs_Ctx (Npp32s nValue, Npp32s *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integer in place signal add constant and scale. More...
NppStatus | nppsAddC_32s_ISfs (Npp32s nValue, Npp32s *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_32s_Sfs_Ctx (const Npp32s *pSrc, Npp32s nValue, Npp32s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit signed integersignal add constant and scale. More...
NppStatus | nppsAddC_32s_Sfs (const Npp32s *pSrc, Npp32s nValue, Npp32s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_32sc_ISfs_Ctx (Npp32sc nValue, Npp32sc *pSrcDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit integer complex number (32 bit real, 32 bit imaginary) in place signal add constant and scale. More...
NppStatus | nppsAddC_32sc_ISfs (Npp32sc nValue, Npp32sc *pSrcDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_32sc_Sfs_Ctx (const Npp32sc *pSrc, Npp32sc nValue, Npp32sc *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
| 32-bit integer complex number (32 bit real, 32 bit imaginary) signal add constant and scale. More...
NppStatus | nppsAddC_32sc_Sfs (const Npp32sc *pSrc, Npp32sc nValue, Npp32sc *pDst, int nLength, int nScaleFactor)
NppStatus | nppsAddC_32f_I_Ctx (Npp32f nValue, Npp32f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point in place signal add constant. More...
NppStatus | nppsAddC_32f_I (Npp32f nValue, Npp32f *pSrcDst, int nLength)
NppStatus | nppsAddC_32f_Ctx (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point signal add constant. More...
NppStatus | nppsAddC_32f (const Npp32f *pSrc, Npp32f nValue, Npp32f *pDst, int nLength)
NppStatus | nppsAddC_32fc_I_Ctx (Npp32fc nValue, Npp32fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number (32 bit real, 32 bit imaginary) in place signal add constant. More...
NppStatus | nppsAddC_32fc_I (Npp32fc nValue, Npp32fc *pSrcDst, int nLength)
NppStatus | nppsAddC_32fc_Ctx (const Npp32fc *pSrc, Npp32fc nValue, Npp32fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 32-bit floating point complex number (32 bit real, 32 bit imaginary) signal add constant. More...
NppStatus | nppsAddC_32fc (const Npp32fc *pSrc, Npp32fc nValue, Npp32fc *pDst, int nLength)
NppStatus | nppsAddC_64f_I_Ctx (Npp64f nValue, Npp64f *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point, in place signal add constant. More...
NppStatus | nppsAddC_64f_I (Npp64f nValue, Npp64f *pSrcDst, int nLength)
NppStatus | nppsAddC_64f_Ctx (const Npp64f *pSrc, Npp64f nValue, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating pointsignal add constant. More...
NppStatus | nppsAddC_64f (const Npp64f *pSrc, Npp64f nValue, Npp64f *pDst, int nLength)
NppStatus | nppsAddC_64fc_I_Ctx (Npp64fc nValue, Npp64fc *pSrcDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number (64 bit real, 64 bit imaginary) in place signal add constant. More...
NppStatus | nppsAddC_64fc_I (Npp64fc nValue, Npp64fc *pSrcDst, int nLength)
NppStatus | nppsAddC_64fc_Ctx (const Npp64fc *pSrc, Npp64fc nValue, Npp64fc *pDst, int nLength, NppStreamContext nppStreamCtx)
| 64-bit floating point complex number (64 bit real, 64 bit imaginary) signal add constant. More...
NppStatus | nppsAddC_64fc (const Npp64fc *pSrc, Npp64fc nValue, Npp64fc *pDst, int nLength)

## Detailed Description

Adds a constant value to each sample of a signal.

## Function Documentation

NppStatus nppsAddC_16s_ISfs | ( | Npp16s | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16s_ISfs_Ctx | ( | Npp16s | nValue,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short in place signal add constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_16s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp16s | nValue,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short signal add constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_16sc_ISfs | ( | Npp16sc | nValue,
|  | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16sc_ISfs_Ctx | ( | Npp16sc | nValue,
|  | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer complex number (16 bit real, 16 bit imaginary)signal add constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_16sc_Sfs | ( | const Npp16sc * | pSrc,
|  | Npp16sc | nValue,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16sc_Sfs_Ctx | ( | const Npp16sc * | pSrc,
|  | Npp16sc | nValue,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit integer complex number (16 bit real, 16 bit imaginary) signal add constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_16u_ISfs | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16u_ISfs_Ctx | ( | Npp16u | nValue,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short in place signal add constant, scale, then clamp to saturated value.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_16u_Sfs | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_16u_Sfs_Ctx | ( | const Npp16u * | pSrc,
|  | Npp16u | nValue,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short vector add constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32f | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_32f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32f | nValue,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point signal add constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32f_I | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_32f_I_Ctx | ( | Npp32f | nValue,
|  | Npp32f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point in place signal add constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32fc | ( | const Npp32fc * | pSrc,
|  | Npp32fc | nValue,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_32fc_Ctx | ( | const Npp32fc * | pSrc,
|  | Npp32fc | nValue,
|  | Npp32fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number (32 bit real, 32 bit imaginary) signal add constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32fc_I | ( | Npp32fc | nValue,
|  | Npp32fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_32fc_I_Ctx | ( | Npp32fc | nValue,
|  | Npp32fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex number (32 bit real, 32 bit imaginary) in place signal add constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32s_ISfs | ( | Npp32s | nValue,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_32s_ISfs_Ctx | ( | Npp32s | nValue,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integer in place signal add constant and scale.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_32s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32s | nValue,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed integersignal add constant and scale.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32sc_ISfs | ( | Npp32sc | nValue,
|  | Npp32sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_32sc_ISfs_Ctx | ( | Npp32sc | nValue,
|  | Npp32sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer complex number (32 bit real, 32 bit imaginary) in place signal add constant and scale.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_32sc_Sfs | ( | const Npp32sc * | pSrc,
|  | Npp32sc | nValue,
|  | Npp32sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_32sc_Sfs_Ctx | ( | const Npp32sc * | pSrc,
|  | Npp32sc | nValue,
|  | Npp32sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit integer complex number (32 bit real, 32 bit imaginary) signal add constant and scale.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_64f | ( | const Npp64f * | pSrc,
|  | Npp64f | nValue,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_64f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64f | nValue,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating pointsignal add constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_64f_I | ( | Npp64f | nValue,
|  | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_64f_I_Ctx | ( | Npp64f | nValue,
|  | Npp64f * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point, in place signal add constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Length of the vectors, number of items.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_64fc | ( | const Npp64fc * | pSrc,
|  | Npp64fc | nValue,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_64fc_Ctx | ( | const Npp64fc * | pSrc,
|  | Npp64fc | nValue,
|  | Npp64fc * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number (64 bit real, 64 bit imaginary) signal add constant.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_64fc_I | ( | Npp64fc | nValue,
|  | Npp64fc * | pSrcDst,
|  | int | nLength
| ) |  |

NppStatus nppsAddC_64fc_I_Ctx | ( | Npp64fc | nValue,
|  | Npp64fc * | pSrcDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex number (64 bit real, 64 bit imaginary) in place signal add constant.

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_8u_ISfs | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_8u_ISfs_Ctx | ( | Npp8u | nValue,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char in place signal add constant, scale, then clamp to saturated value

Parameters

  pSrcDst | In-Place Signal Pointer.
  nValue | Constant value to be added to each vector element
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddC_8u_Sfs | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsAddC_8u_Sfs_Ctx | ( | const Npp8u * | pSrc,
|  | Npp8u | nValue,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned charvector add constant, scale, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  nValue | Constant value to be added to each vector element
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2018 NVIDIA Corporation